[![@nuxtjs/supabase](./docs/public/cover.jpg)](https://supabase.nuxtjs.org)

# @nuxtjs/supabase

[![npm version][npm-version-src]][npm-version-href]
[![npm downloads][npm-downloads-src]][npm-downloads-href]
[![Github Actions CI][github-actions-ci-src]][github-actions-ci-href]
[![License][license-src]][license-href]

> [Supabase](https://supabase.com) module for [Nuxt](https://v3.nuxtjs.org)

- [✨ &nbsp;Changelog](https://github.com/nuxt-community/supabase-module/blob/main/CHANGELOG.md)
- [📖 &nbsp;Read the documentation](https://supabase.nuxtjs.org)
- [▶ &nbsp;Video](https://www.youtube.com/watch?v=jIyiRT6zT8Q)
- [👾 &nbsp;Demo](./demo)

## Features

- Nuxt 3 ready
- Vue 3 composables
- Usage in API server routes
- Authentication support
- Use supabase-js isomorphic client
- TypeScript support

## Usage

Checkout https://supabase.nuxtjs.org

## Nuxt 2

If you are looking for a solution with Nuxt 2, checkout https://github.com/supabase-community/nuxt-supabase

## Development

1. Clone this repository
2. Install dependencies using `yarn install` or `npm install`
3. Prepare development server using `yarn dev:prepare` or `npm run dev:prepare`
4. Build module using `yarn build` or `npm build`
5. Launch playground using `yarn dev` or `npm run dev`

## License

[MIT License](./LICENSE)

<!-- Badges -->
[npm-version-src]: https://img.shields.io/npm/v/@nuxtjs/supabase/latest.svg
[npm-version-href]: https://npmjs.com/package/@nuxtjs/supabase

[npm-downloads-src]: https://img.shields.io/npm/dt/@nuxtjs/supabase.svg
[npm-downloads-href]: https://npmjs.com/package/@nuxtjs/supabase

[github-actions-ci-src]: https://github.com/nuxt-community/supabase-module/workflows/ci-main/badge.svg
[github-actions-ci-href]: https://github.com/nuxt-community/supabase-module/actions?query=workflow%3Aci

[codecov-src]: https://img.shields.io/codecov/c/github/nuxt-community/supabase-module.svg
[codecov-href]: https://codecov.io/gh/nuxt-community/supabase-module

[license-src]: https://img.shields.io/npm/l/@nuxtjs/supabase.svg
[license-href]: https://npmjs.com/package/@nuxtjs/supabase
